*** Settings ***
Documentation    Test Suite to create and delete vim account
Library     Collections
Library     SeleniumLibrary
Library     OperatingSystem
Resource    osm_gui_lib.robot

*** Variables ***
${osm_host}     172.21.248.5
${osm_user}     admin
${osm_password}     admin

*** Test Cases ***
Valid Login
    [Tags]  gui_login_test
    [Setup]  Set Server URL  ${osm_host}
    Open Browser To Login Page
    Enter Credentials  ${osm_user}  ${osm_password}
    Submit Credentials
    Home Page Should Be Open
    [Teardown]  Close Browser
